c
c	Common definitions for the CB Manager - Single-node version.
c

	implicit integer*4(a-z)

	parameter ( maxpeople=64, maxchannel=40 )
	character*16 terminal(maxpeople)
	character*12 username(maxpeople)
	character*16 handle(maxpeople)
	character*32 squelch(maxpeople)
	integer*4 channel(maxpeople,3)
	integer*4 pid(maxpeople)
	character*1 scramble_type(maxpeople)
	character*8 scramble_key(maxpeople)
	character*255 text,dmsg
	integer*2 mb_chan
	character*2 crlf

	parameter DVI$_PID = '0E'x	!  Because FORSYSDEF doesn't have this.


	common / cb1 /  terminal, handle, usernode, text, username
	common / cb2 /  channel, pid, numactive, mb_chan
	common / cb3 /  scramble_type, scramble_key, squelch
